Subject: Re: Document clone of clone ... bug??

From: Jakub Narebski <[email-masked]>
Date: Sat, 14 Jun 2008 13:34:35 -0700 (PDT)

Vaclav Hanzl <[email-masked]> writes:

> > The clone of clone does not have dangling objects; either it sees a ref
> > (because it is a branch in the clone) and it grabs the objects, or it
> > does not see it, in which case it does not download those objects.
> 
> Yes, there should not be a dangling object, but I actually got one. I
> was surprised, but I thought it is just an undocumented benign behavior
> (optimization overkill - clone rather gets those objects instead of
> thinking what it needs).
[...]
>  (cd B; git clone ../A/X)

_Local_ clone?  This is result of optimization; in cloning over local
filesystem case git-clone simply hardlinks object database (if
possible) instead of transferring objects.  This was only on request
in earlier versions of git.

You can use filr:// protocol to force generating of pack-file and
actual transfer of objects.
-- 
Jakub Narebski
Poland
ShadeHawk on #git